unit Centry;

interface

uses WinTypes,
     WinProcs,
     Cdopl,
     Exlib;

type TPlugClass = class of TClient;
const PlugClass: TPlugClass = TClient;

function  PlugInit(LibH: Lpvoid; Args: PChar): Word; export;
procedure PlugDestroy( LibH: Lpvoid ); export;
function  PlugCommand( LibH: Lpvoid; CommandPtr: Pointer; PtrLen: Word): Word; export;
function  PlugProcess( LibH: Lpvoid ): Word; export;

implementation

function  PlugInit(LibH: Lpvoid; Args: PChar): Word;
var Client: TClient;
begin
   try
    Client := PlugClass.Create( LibH, Args );
    Client.PlugState := 0;
    ExSetPtr( LibH, Client );
    Result := AL_OK;
   except
    {In case of trouble.}
    MessageBox(0, 'Couldn''t start plug...sorry.', 'PlugInit', mb_ok);
    Result := AL_DIE;
    Exit;
   end;
  Result := AL_OK;
end;

procedure PlugDestroy( LibH: Lpvoid );
var Client: TClient;
begin
 Client := ExGetPtr( LibH );
 Client.OnPlugFree;
 Client.Free;
end;

function  PlugCommand( LibH: Lpvoid; CommandPtr: Pointer; PtrLen: Word): Word;
var Client: TClient;
begin
 Client := ExGetPtr( LibH );
 Result := Client.Command( CommandPtr, PtrLen );
end;

function  PlugProcess( LibH: Lpvoid ): Word;
var Client: TClient;
begin
 Client := ExGetPtr( LibH );
 Result := Client.Process;
end;

end.
