unit gdc;

{ Graphics Device Codes used in Excalibur Screens.
  Translated from the Excalibur API. Copyright Excalibur Communications Inc.
 Translated By: Argon D. Helm
                argonh@k2nesoft.com
                bbs: 609-893-4031}

interface

const
      GDC_BACKGROUND	       = 0;
      GDC_LINE		       = 1;
      GDC_POLYGON	       = 2;
      GDC_RECTANGLE	       = 3;
      GDC_ELLIPSE	       = 4;
      GDC_FPOLYGON	       = 5;
      GDC_FRECTANGLE	       = 6;
      GDC_FELLIPSE	       = 7;
      GDC_TEXTOUT	       = 8;
      GDC_HIT		       = 9;
      GDC_ARC		       = 10;
      GDC_FARC		       = 11;
      GDC_ROUNDRECT	       = 12;
      GDC_FROUNDRECT	       = 13;
      GDC_BITMAP               = 14;
      GDC_BITMAP_DATA	       = 15;
      GDC_BEZIER	       = 16;
      GDC_FBEZIER	       = 17;
      GDC_ANIMSTART	       = 18;
      GDC_ANIMEND	       = 19;
      GDC_ANIMFRAME	       = 20;
      GDC_CARD		       = 21;
      GDC_IMAGE		       = 22;
      GDC_EXTEXT	       = 23;
      GDC_REPAINT	       = 24;
      GDC_LANGUAGE	       = 25;
      GDC_SELBUTTON	       = 26;
      GDC_SETTEXT	       = 27;
      GDC_MENU		       = 28;
      GDC_MENUHELP	       = 29;
      GDC_TIMER		       = 30;
      GDC_CONTINUE	       = 255;

{ Font styles }

      GDC_FONT_BOLD	       = 1;
      GDC_FONT_ITAL	       = 2;
      GDC_FONT_LINE            = 4;	{ underline }
      GDC_FONT_STRK	       = 8;	{ strike-thru }
      GDC_FONT_SHADE1          = $10;	{ shade depths (simple text only)}
      GDC_FONT_SHADE2          = $20;
      GDC_FONT_SHADE3          = $40;
      GDC_FONT_SHADE4          = $80;
      GDC_FONT_BTNSHADE	       = $10;	{ button has shading}
      GDC_BUTTON_SELECTED      = $20;	{ button shows as selected}
      GDC_FONT_RAISED	       = $1;	{ enhanced text: raised}
      GCC_FONT_LOWERED	       = $2;	{ enhanced text: lowered}

      GDC_FONT_LEFT	       = 0;
      GDC_FONT_CENTER	       = $10;
      GDC_FONT_RIGHT	       = $20;
      GDC_FONT_WRAP	       = $40;

{ Font Faces }

      GDC_FACE_TIMES	       = 0;
      GDC_FACE_ARIAL	       = 1;
      GDC_FACE_COURIER	       = 2;
      GDC_FACE_SYMBOL	       = 3;
      GDC_FACE_WINGDINGS       = 4;
      GDC_FACE_SCRIPT	       = 5;
      GDC_FACE_TAPESTRY	       = 6;
      GDC_FACE_MONOSPACE       = 7;
      GDC_FACE_LOGOTYPE	       = 8;
      GDC_FACE_KOOL	       = 9;
      GDC_FACE_OLDENGLISH      = 10;
      GDC_FACE_BILLBOARD       = 11;
      GDC_FACE_RADIUS	       = 12;

{ hit-box styles }

      GDC_HIT_NONE	       = 0;
      GDC_HIT_BUTTON	       = 1;
      GDC_HIT_TEXT	       = 2;
      GDC_HIT_CD	       = 3;

{ mouse button selections }
      GDC_MOUSE_LEFT	       = 1;
      GDC_MOUSE_RIGHT	       = 2;
      GDC_MOUSE_MIDDLE	       = 3;

{ image type  }

      IMAGETYPE_MONO	       = 0;	{ monochrome (b/w 1 bit) bitmap  }
      IMAGETYPE_STD	       = 1;	{ 16 standard color image        }
      IMAGETYPE_666	       = 2;	{ 6-6-6 color palette (for future use) }

{ image compression types }
      BITCOMP_NONE	       = 0;
      BITCOMP_GIF	       = 1;	{ not supported }

{ security and flow control codes }

      GDC_SECURITY_ON	       = 50;
      GDC_SECURITY_OFF	       = 51;
      GDC_SECURITY_END	       = 52;
      GDC_IFELSE_ON	       = 54;
      GDC_IFELSE_OFF	       = 55;
      GDC_SECURITY_ELSE	       = 56;
      GDC_HIT_END	       = 57;

      GDC_ACTION	       = 53;

      GDC_ACTION_QUIT	       = 1;
      GDC_ACTION_CHAIN	       = 2;
      GDC_ACTION_DOOR	       = 3;
      GDC_ACTION_PLUGIN	       = 3;
      GDC_ACTION_SENDFILE      = 4;
      GDC_ACTION_LISTFILES     = 5;
      GDC_ACTION_MESSAGES      = 6;
      GDC_ACTION_CREDIT	       = 7;
      GDC_ACTION_SETFLAG       = 8;
      GDC_ACTION_CLEARFLAG     = 9;
      GDC_ACTION_POPMESSAGE    = 10;
      GDC_ACTION_BULLETIN      = 11;
      GDC_ACTION_SOUND	       = 12;
      GDC_ACTION_EMAIL	       = 13;
      GDC_ACTION_WHOON	       = 14;
      GDC_ACTION_PAGE	       = 15;
      GDC_ACTION_PARTY	       = 16;
      GDC_ACTION_DLLSEND       = 17;
      GDC_ACTION_PREVIEW       = 18;
      GDC_ACTION_ABSTEMPLATE   = 19;
      GDC_ACTION_MINTEMPLATE   = 20;
      GDC_ACTION_SETUSER       = 21;
      GDC_ACTION_ADDUSER       = 22;
      GDC_ACTION_SELBUTTON     = 23;
      GDC_ACTION_SETTEXT       = 24;
      GDC_ACTION_REPAINT       = 25;

      GDC_FILEREF	       = 58;
      GDC_DLL		       = 59;

implementation
end.
