unit language;

{Translated from the Excalibur API which is copyright
 Excalibur Communication Inc.

 Translated by: Argon D. Helm
                argonh@k2nesoft.com
                bbs: 609-893-4031
 }

interface

{$IFNDEF LANG_ALBANIAN}
{*
 *  Language IDs.
 *
 *  The following two combinations of primary language ID and
 *  sublanguage ID have special semantics:
 *
 *    Primary Language ID   Sublanguage ID      Result
 *    -------------------   ---------------     ------------------------
 *    LANG_NEUTRAL          SUBLANG_NEUTRAL     Language neutral
 *    LANG_NEUTRAL          SUBLANG_DEFAULT     User default language
 *    LANG_NEUTRAL          SUBLANG_SYS_DEFAULT System default language
 *}

{Primary language IDs.}

{$IFDEF LANG_NEUTRAL}
  const
   LANG_NEUTRAL                          $00;
{$ENDIF}

const
     LANG_ALBANIAN                    =  $1c;
     LANG_ARABIC                      =  $01;
     LANG_BAHASA                      =  $21;
     LANG_BULGARIAN                   =  $02;
     LANG_CATALAN                     =  $03;
     LANG_CHINESE                     =  $04;
     LANG_CZECH                       =  $05;
     LANG_DANISH                      =  $06;
     LANG_DUTCH                       =  $13;
     LANG_ENGLISH                     =  $09;
     LANG_FINNISH                     =  $0b;
     LANG_FRENCH                      =  $0c;
     LANG_GERMAN                      =  $07;
     LANG_GREEK                       =  $08;
     LANG_HEBREW                      =  $0d;
     LANG_HUNGARIAN                   =  $0e;
     LANG_ICELANDIC                   =  $0f;
     LANG_ITALIAN                     =  $10;
     LANG_JAPANESE                    =  $11;
     LANG_KOREAN                      =  $12;
     LANG_NORWEGIAN                   =  $14;
     LANG_POLISH                      =  $15;
     LANG_PORTUGUESE                  =  $16;
     LANG_RHAETO_ROMAN                =  $17;
     LANG_ROMANIAN                    =  $18;
     LANG_RUSSIAN                     =  $19;
     LANG_SERBO_CROATIAN              =  $1a;
     LANG_SLOVAK                      =  $1b;
     LANG_SPANISH                     =  $0a;
     LANG_SWEDISH                     =  $1d;
     LANG_THAI                        =  $1e;
     LANG_TURKISH                     =  $1f;
     LANG_URDU                        =  $20;

 { Sublanguage IDs.

   The name immediately following SUBLANG_ dictates which primary
   language ID that sublanguage ID can be combined with to form a
   valid language ID.
 }
     SUBLANG_NEUTRAL                  =  $00;    { language neutral }
     SUBLANG_DEFAULT                  =  $01;    { user default }
     SUBLANG_SYS_DEFAULT              =  $02;    { system default }

     SUBLANG_CHINESE_SIMPLIFIED       =  $02;    { Chinese (Simplified) }
     SUBLANG_CHINESE_TRADITIONAL      =  $01;    { Chinese (Traditional) }
     SUBLANG_DUTCH                    =  $01;    { Dutch }
     SUBLANG_DUTCH_BELGIAN            =  $02;    { Dutch (Belgian) }
     SUBLANG_ENGLISH_US               =  $01;    { English (USA) }
     SUBLANG_ENGLISH_UK               =  $02;    { English (UK) }
     SUBLANG_ENGLISH_AUS              =  $03;    { English (Australian) }
     SUBLANG_ENGLISH_CAN              =  $04;    { English (Canadian) }
     SUBLANG_ENGLISH_NZ               =  $05;    { English (New Zealand) }
     SUBLANG_ENGLISH_EIRE             =  $06;    { English (Irish) }
     SUBLANG_FRENCH                   =  $01;    { French }
     SUBLANG_FRENCH_BELGIAN           =  $02;    { French (Belgian) }
     SUBLANG_FRENCH_CANADIAN          =  $03;    { French (Canadian) }
     SUBLANG_FRENCH_SWISS             =  $04;    { French (Swiss) }
     SUBLANG_GERMAN                   =  $01;    { German }
     SUBLANG_GERMAN_SWISS             =  $02;    { German (Swiss) }
     SUBLANG_GERMAN_AUSTRIAN          =  $03;    { German (Austrian) }
     SUBLANG_ITALIAN                  =  $01;    { Italian }
     SUBLANG_ITALIAN_SWISS            =  $02;    { Italian (Swiss) }
     SUBLANG_NORWEGIAN_BOKMAL         =  $01;    { Norwegian (Bokmal) }
     SUBLANG_NORWEGIAN_NYNORSK        =  $02;    { Norwegian (Nynorsk) }
     SUBLANG_PORTUGUESE               =  $02;    { Portuguese }
     SUBLANG_PORTUGUESE_BRAZILIAN     =  $01;    { Portuguese (Brazilian) }
     SUBLANG_SERBO_CROATIAN_CYRILLIC  =  $02;    { Serbo-Croatian (Cyrillic) }
     SUBLANG_SERBO_CROATIAN_LATIN     =  $01;    { Croato-Serbian (Latin) }
     SUBLANG_SPANISH                  =  $01;    { Spanish (Castilian) }
     SUBLANG_SPANISH_MEXICAN          =  $02;    { Spanish (Mexican) }
     SUBLANG_SPANISH_MODERN           =  $03;    { Spanish (Modern) }

{$ENDIF}

     LANG_ESPERANTO		      =  $f0;
     LANG_LATIN			      =  $f1;

implementation
end.
