unit Cread;

interface

uses WinTypes,
     WinProcs,
     SysUtils,
     Cdopl,
     About,
     Main;

{All constants in client/host plugs using my librarys
 should start at around 2000 }

const CInvalid = 4000;
      CFileIn = 4001;

type PFileIn = ^TFileIn;
     TFileIn = record
      Flag: Word;
      FileName: String[100];
end;

type TReaderClient = class( TCustomClient )
     public
      procedure OnData( var Data: Pointer ); override;
      procedure OnReceiveProgress( Sender: TObject; Total: LongInt; This: LongInt ); override;
      procedure OnReceiveDone( Sender: TObject ); override;
      procedure OnReceiveCancel( Sender: TObject ); override;
      procedure OnInitialize; override;
      procedure OnPlugFree; override;
end;

implementation

procedure TReaderClient.OnData( var Data: Pointer );
var CliName: String;
    chrCliName: Array[0..100] of Char;
begin
 inherited OnData( Data );
 { The first 2 bytes of all data sent thru this lib
   should be a word or integer value.}
 case PWord( Data )^ of
  CInvalid: begin
             StrPCopy( chrCliName, PFileIn( Data )^.FileName );
             MessageBox( 0, 'Invalid file on bbs...',
                            'Notify Sysop..',  mb_Ok or mb_IconHand );
             Die;
            end;

  CFileIn:  begin
             CliName := DownloadDir + ExtractFileName( PFileIn(Data)^.FileName );
             if FileExists( CliName )  then
               ReadForm.OnFileDone( Self, CliName, False )
             else
               GetHostFile( ExtractFileName( CliName ) );
             end;

 end;
end;

procedure TReaderClient.OnReceiveProgress( Sender: TObject; Total: LongInt; This: LongInt );
begin
 ReadForm.OnProgress( Sender, Total, This );
 inherited OnReceiveProgress( Sender, Total, This );
end;

procedure TReaderClient.OnReceiveDone( Sender: TObject );
begin
 ReadForm.OnFileDone( Sender, DownloadDir + CurrentReceiveFile, True );
 inherited OnReceiveDone( Sender );
end;

procedure TReaderClient.OnReceiveCancel( Sender: TObject );
begin
 ReadForm.OnFileCancel( Sender, DownloadDir + CurrentReceiveFile );
 inherited OnReceiveCancel( Sender );
end;

procedure TReaderClient.OnInitialize;
begin
 inherited OnInitialize;
 ReadForm := TReadForm.Create( nil );
 AboutBox := TAboutBox.Create( nil );
 ReadForm.ClientHandle := LibH;
 ReadForm.Show;
end;

procedure TReaderClient.OnPlugFree;
begin
 inherited OnPlugFree;
 AboutBox.Free;
 ReadForm.Free;
end;

end.
